Nimbu Developer Docs
ReferenceCustomers

List customers

GET
/customers

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Response Body

application/json

curl -X GET "https://example.com/customers"
[
  {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "name": "string",
    "firstname": "string",
    "lastname": "string",
    "email": "string",
    "language": "string",
    "number": "string",
    "slug": "string",
    "status": "string",
    "groups": [
      "string"
    ],
    "url": "http://example.com",
    "verified_email": true,
    "verified_at": "2019-08-24T14:15:22Z",
    "suspended": true,
    "suspended_at": "2019-08-24T14:15:22Z",
    "addresses": [
      {
        "id": "string",
        "firstname": "string",
        "lastname": "string",
        "company": "string",
        "address1": "string",
        "address2": "string",
        "zip": "string",
        "city": "string",
        "country": "string",
        "phone": "string",
        "default_billing": true,
        "default_shipping": true
      }
    ],
    "confirmation_token": "string",
    "last_activity_at": "2019-08-24T14:15:22Z",
    "roles": [
      "string"
    ]
  }
]
Empty